#
# spec file for package zgv (Version 5.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libfbm libjpeg libnetpbm libpng librle libtiff libz svgalib
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libfbm libjpeg libnetpbm libpng librle libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         zgv
Copyright:    GPL
Group:        Applications/Graphics
URL:          http://www.svgalib.org/rus/zgv/
Provides:     zgv 
Autoreqprov:  on
Version:      5.4
Release:      39
Summary:      Viewer (libvga)
#ftp://metalab.unc.edu/pub/Linux/apps/graphics/viewers/svga/zgv-%{version}.tar.gz
Source: zgv-%{version}.tar.bz2
#Patch: zgv-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
Zgv is a GIF/JPEG/PNM/BMP graphic file viewer for VGA
and SVGA displays. (It uses svgalib.) It provides a
graphic-mode file selector to select file(s) to view.
The program may be used as a command; in this case, the front end is
not used.

Authors:
--------
    Russell Marks <mr216@gre.ac.uk>

SuSE series: gra

%prep
%setup 
#patch

%build
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1,%{_infodir}}
 
make PREFIX=$RPM_BUILD_ROOT/usr MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INFODIR=$RPM_BUILD_ROOT/%{_infodir} install
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf "$RPM_BUILD_ROOT"
 

%files
/usr/bin/zgv
%doc %{_mandir}/man1/*
%doc %{_infodir}/*
%doc README README.fonts ChangeLog COPYING NEWS TODO doc/sample.zgvrc SECURITY

%changelog -n zgv
* Wed Jul 25 2001 - nadvornik@suse.cz
- update to 5.4
* Tue Mar 13 2001 - nadvornik@suse.cz
- update to 5.3
* Thu Nov 30 2000 - ro@suse.de
- neededforbuild fix
* Tue Oct 17 2000 - nadvornik@suse.cz
- update to 5.2
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep 25 2000 - nadvornik@suse.cz
- update to 5.1
* Wed Jul 05 2000 - ro@suse.de
- don't pack /usr/info/dir
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group
* Thu Mar 23 2000 - nadvornik@suse.cz
- added BuildRoot
- added source url
* Fri Feb 18 2000 - fehr@suse.de
- changed to version 5.0 of zgv
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Feb 19 1999 - fehr@suse.de
- disable option -a for secirity reasons
* Wed Oct 28 1998 - fehr@suse.de
- added additional security patch from marc@suse.de
* Mon Oct 26 1998 - fehr@suse.de
- fix bug introduced by myself on Oct 15 14:35:59
* Thu Oct 15 1998 - fehr@suse.de
- change to new version 4.1
- added support for PNG files
* Thu Oct 15 1998 - fehr@suse.de
- change to new version 3.0
- fix some possible buffer overflow security holes
* Fri Jul 17 1998 - ro@suse.de
- add -lm, needeb by svgalib 1.3
* Mon Jun 22 1998 - ro@suse.de
- added include <errno.h> to zgv.c
  builds for libc5 and glibc
* Wed Oct 22 1997 - ro@suse.de
- ready for autobuild
* Sun Oct 12 1997 - fehr@suse.de
- prepare for automatic build of package
- updated to version 2.8 of package
